请求 OTP 验证码
curl --request POST \
--url https://api.qbank.cl/platform/v1/otp/challenges \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"action": "payout"
}
'import requests
url = "https://api.qbank.cl/platform/v1/otp/challenges"
payload = { "action": "payout" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({action: 'payout'})
};
fetch('https://api.qbank.cl/platform/v1/otp/challenges', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"challenge_id": "6f1c02aa-93a1-4f0e-a7d1-1f2e3c4b5a69",
"account_id": "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d",
"action": "payout",
"channel": "whatsapp",
"phone": "********5678",
"status": "pending",
"created_at": "2026-07-08T21:00:00Z",
"expires_at": "2026-07-08T21:10:00Z"
}{
"error": "unauthorized",
"message": "invalid or missing credentials"
}{
"error": "session_required",
"message": "OTP verification requires a user session (JWT), not an API key"
}{
"error": "phone_required",
"message": "the account has no phone number; set it with PATCH /v1/me before requesting OTP codes"
}{
"error": "too_many_attempts",
"message": "too many verification attempts; wait before retrying"
}请求 OTP 验证码
通过为该操作配置的渠道向账户手机号发送一次性验证码。需要用户会话(JWT)——API key 会收到 403 session_required。适用每小时发送限制。
POST
/
v1
/
otp
/
challenges
请求 OTP 验证码
授权
会话 JWT(来自注册/登录)或 API key(pk_...)。
也接受 X-API-Key: <token> 作为替代请求头。
请求体
application/json
可用选项:
login, payout, crypto_withdrawal, transfer, banking_operation, card_reveal, api_key_create, member_add, phone_change 响应
挑战已创建;验证码正在发送。
可用选项:
login, payout, crypto_withdrawal, transfer, banking_operation, card_reveal, api_key_create, member_add, phone_change 可用选项:
sms, whatsapp 验证码发送到的打码手机号。
可用选项:
pending, verified, consumed, expired 最后修改于 2026年7月19日
⌘I